[Index]
doc
Model ref.: data/ReassignServicesProfile
The full URL would include the host-proxy name: https://[host-proxy].
Variables are enclosed in square brackets.
{
"$schema": "http://json-schema.org/draft-03/schema",
"type": "object",
"properties": {
"profileName": {
"title": "Profile Name",
"type": "string",
"required": true,
"readonly": false,
"is_password": false,
"items": {
"is_password": false
},
"maxLength": 1024
},
"profileDescription": {
"title": "Profile Description",
"type": "string",
"required": false,
"readonly": false,
"is_password": false,
"items": {
"is_password": false
},
"maxLength": 1024
},
"removeSourceUser": {
"title": "Remove Source User",
"description": "Remove Source User",
"type": "boolean"
},
"UserCFT": {
"title": "User CFT",
"description": "The Configuration Template to apply during User move/update or add.",
"type": "string",
"required": false,
"readonly": false,
"is_password": false,
"maxLength": 1024
},
"CUCMUserCFT": {
"title": "CUCM User CFT",
"description": "The Configuration Template to apply during CUCM User move.",
"type": "string",
"required": false,
"readonly": false,
"is_password": false,
"maxLength": 1024
},
"lineCFT": {
"title": "Line CFT",
"description": "The Configuration Template to apply during Line move.",
"type": "string",
"required": false,
"readonly": false,
"is_password": false,
"maxLength": 1024
},
"PhoneCFT": {
"title": "Phone CFT",
"description": "The Configuration Template to apply during Phone move.",
"type": "string",
"required": false,
"readonly": false,
"is_password": false,
"maxLength": 1024
},
"DPCFT": {
"title": "Device Profile CFT",
"description": "The Configuration Template to apply during Device Profile move.",
"type": "string",
"required": false,
"readonly": false,
"is_password": false,
"maxLength": 1024
},
"RDPCFT": {
"title": "Remote Destination Profile CFT",
"description": "The Configuration Template to apply during Remote Destination Profile move.",
"type": "string",
"required": false,
"readonly": false,
"is_password": false,
"maxLength": 1024
},
"CUCCFT": {
"title": "CUC User CFT",
"description": "The Configuration Template to apply during CUC User Add.",
"type": "string",
"required": false,
"readonly": false,
"is_password": false,
"maxLength": 1024
},
"CUCAltExtAdd": {
"title": "Add CUC User Alternate Extension",
"description": "Add CUC User Alternate Extension",
"type": "boolean"
},
"CUCAltExtCFT": {
"title": "CUC Alternate Extension CFT",
"description": "The Configuration Template to apply during CUC Alternate Extension update.",
"type": "string",
"required": false,
"readonly": false,
"is_password": false,
"maxLength": 1024
},
"CUCMsgHandlerUpdate": {
"title": "Update CUC User Message Handler (Action)",
"description": "Update CUC User Message Handler Device",
"type": "boolean"
},
"CUCMsgHandlerCFT": {
"title": "CUC Message Handler (Action) CFT",
"description": "The Configuration Template to apply during CUC Message Handler update.",
"type": "string",
"required": false,
"readonly": false,
"is_password": false,
"maxLength": 1024
},
"SharedLineUnassocUpdate": {
"title": "Update shared lines (for unassociated Phones, Device profiles, RDP)",
"description": "Update shared lines for unassociated phones, device profiles and RDP",
"type": "boolean"
},
"SharedPhoneLineUnassocCFT": {
"title": "Shared Line (unassociated Phone) CFT",
"description": "The Configuration Template to apply during Phone shared lines (unassociated) update.",
"type": "string",
"required": false,
"readonly": false,
"is_password": false,
"maxLength": 1024
},
"SharedDPLineUnassocCFT": {
"title": "Shared Line (unassociated Profile) CFT",
"description": "The Configuration Template to apply during Profile shared lines (unassociated) update.",
"type": "string",
"required": false,
"readonly": false,
"is_password": false,
"maxLength": 1024
},
"SharedRDPLineUnassocCFT": {
"title": "Shared Line (unassociated RDP) CFT",
"description": "The Configuration Template to apply during SNR shared lines (unassociated) update.",
"type": "string",
"required": false,
"readonly": false,
"is_password": false,
"maxLength": 1024
}
},
"schema_version": "1.0"
}
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Get the GUI Add form. | GET | /api/data/ReassignServicesProfile/add/ |
|
The GUI Add form of data/ReassignServicesProfile as JSON |
The API call to the /add/ URL can only be made from a hierarchy that allows the model type to be added. The actions in the response shows the url for the POST API call to create an instance.
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Create | POST | /api/data/ReassignServicesProfile | hierarchy=[hierarchy] |
|
tool/Transaction/[trans pkid]to inspect the created resource and its instance pkid.
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Bulk delete [pkid1],[pkid2]... | DELETE | /api/data/ReassignServicesProfile/ | hierarchy=[hierarchy] | {"hrefs":["/api/data/ReassignServicesProfile/[pkid1]", "/api/data/ReassignServicesProfile/[pkid2]", ...]} |
GET http://[host-proxy]/api/data/ReassignServicesProfile/?hierarchy=[hierarchy]&format=json
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Get a selected [export_format] of the schema and instances [pkid1], [pkid2],... of data/ReassignServicesProfile; optionally with tag_version at [version] and Configuration Template as [configtemplate]. | POST | /api/data/ReassignServicesProfile/export/ |
|
{ "hrefs":["/api/data/ReassignServicesProfile/[pkid1]", "/api/data/ReassignServicesProfile/[pkid2]",...]}} |
For export_format=json, the response is a time stamped zip file of data in JSON as in the system database. Item properties such as strings that are empty or Boolean values that are not set, are not included. The filename in the response is of the format as the example:
Content-Disposition: attachment; filename=export_2013-05-17_14:20:19.186444.json.zip
Content-Language:en
Content-Type:application/x-zip
For export_format=raw_xlsx, the response is a MS Excel spreadsheet with columns corresponding to the JSON format export and a response filename format:
Content-Disposition: attachment; filename=<resource_type>_<resource_name>_exportedsheet_CCYY-MM-DD_HH-MM-SS.xlsx
Content-Language:en
Content-Type:application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
For export_format=xlsx, the response is a MS Excel spreadsheet, arranged by any Field Display Policies that apply. The columns correspond with those of a Bulk Load Template export sheet. The response filename format is:
Content-Disposition: attachment; filename=<resource_type>_<resource_name>_exportedsheet_formatted_CCYY-MM-DD_HH-MM-SS.xlsx
Content-Language:en
Content-Type:application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
The XLSX format can be used to bulk load instances of data/ReassignServicesProfile and the JSON format can be used to import instances of data/ReassignServicesProfile.
GET http://[host-proxy]/api/data/ReassignServicesProfile/?hierarchy=[hierarchy]
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Get a compressed format of the Bulk Load spreadsheet template for data/ReassignServicesProfile | POST | /api/data/ReassignServicesProfile/export_bulkload_template/ |
|
The response is an attachment of the format: filetype_bulkloadsheet.xlsx.gz |
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Configuration Template | GET | /api/data/ReassignServicesProfile/configuration_template/ | hierarchy=[hierarchy] |
|
POST http://[host-proxy]/api/data/ConfigurationTemplate/?hierarchy=[hierarchy]
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Field Display Policy | GET | /api/data/ReassignServicesProfile/field_display_policy/ | hierarchy=[hierarchy] |
|
POST http://[host-proxy]/api/data/FieldDisplayPolicy/?hierarchy=[hierarchy]
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| List | GET | /api/data/ReassignServicesProfile/ |
|
The data/ReassignServicesProfile schema and all instances as JSON. |
(The list will return 0 to 3 data/ReassignServicesProfile instances)
{
"pagination": {
"skip": 0,
"limit": 3,
"maximum_limit": 2000,
"total": 5,
"total_limit": null,
"order_by": "profileName",
"direction": "asc",
"current": "/api/data/ReassignServicesProfile/?skip=0&limit=3&order_by=profileName&direction=asc&traversal=fulltree"
},
"operations": [
"add",
"bulk_update_form",
"list",
"update",
"transform",
"migration",
"remove",
"move",
"export",
"help",
"configuration_template",
"field_display_policy",
"get",
"export_bulkload_template"
],
"meta": {
"model_type": "data/ReassignServicesProfile",
"summary_attrs": [
{
"name": "profileName",
"title": "Profile Name"
},
{
"name": "profileDescription",
"title": "Profile Description"
},
{
"name": "hierarchy_friendly_name",
"title": "Located At",
"allow_filtering": true
}
],
"tagged_versions": [],
"tags": [],
"title": "",
"business_key": {
"unique": [
"profileName"
],
"hierarchy": true
},
"api_version": "21.2",
"cached": true,
"references": {
"children": [],
"parent": [
{
"href": "/api/data/HierarchyNode/6t0ggef2c0deab00hb595101",
"pkid": "6t0ggef2c0deab00hb595101"
}
],
"device": [
{
"href": "",
"pkid": ""
}
],
"foreign_key": []
},
"model_specific_actions": [
"get",
"list",
"add",
"update",
"remove",
"help",
"export_bulkload_template",
"bulk_update",
"configuration_template",
"field_display_policy",
"export",
"clone"
],
"schema_version": "1.0",
"actions": [
{
"add": {
"method": "GET",
"class": "add",
"href": "/api/data/ReassignServicesProfile/add/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Add"
}
},
{
"remove": {
"method": "DELETE",
"class": "delete",
"href": "/api/data/ReassignServicesProfile/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Delete"
}
},
{
"export": {
"method": "POST",
"class": "export",
"href": "/api/data/ReassignServicesProfile/export/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Export",
"view": "/api/view/ExportData/add/?auth_token=[authtoken],
"submit": "payload"
}
},
{
"export_bulkload_template": {
"method": "POST",
"class": "bulkload_template",
"href": "/api/data/ReassignServicesProfile/export_bulkload_template/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Export Bulk Load Template"
}
},
{
"configuration_template": {
"method": "GET",
"class": "config",
"href": "/api/data/ReassignServicesProfile/configuration_template/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Configuration Template"
}
},
{
"field_display_policy": {
"method": "GET",
"class": "display_policy",
"href": "/api/data/ReassignServicesProfile/field_display_policy/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Field Display Policy"
}
},
{
"list": {
"method": "GET",
"class": "list",
"href": "/api/data/ReassignServicesProfile/?hierarchy=[hierarchy]",
"support_async": false,
"title": "List"
}
},
{
"help": {
"method": "GET",
"class": "help",
"href": "/api/data/ReassignServicesProfile/help?hierarchy=[hierarchy]",
"support_async": false,
"title": "Help"
}
},
{
"bulk_update": {
"method": "POST",
"class": "update",
"href": "/api/data/ReassignServicesProfile/bulk_update/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Bulk Modify"
}
}
]
},
"resources": [
{
"data": {
"profileName": "ReassignUsers-ServiceProfile-LDAP",
"profileDescription": "Reassign User Service Profile - LDAP User Target",
"removeSourceUser": false,
"UserCFT": "RS Example User CFT - LDAP",
"CUCMUserCFT": "RS Example CUCMUser CFT",
"lineCFT": "RS Example CUCMLine CFT",
"PhoneCFT": "RS Example CUCMPhone CFT",
"DPCFT": "RS Example CUCMDP CFT",
"RDPCFT": "RS Example CUCMRDP CFT",
"CUCCFT": "RS Example CUCUser CFT",
"CUCAltExtAdd": true,
"CUCAltExtCFT": "RS Example CUCAlternateExtension CFT",
"CUCMsgHandlerUpdate": true,
"CUCMsgHandlerCFT": "RS Example CUCMessageHandler CFT - LDAP vs Local",
"SharedLineUnassocUpdate": true,
"SharedPhoneLineUnassocCFT": "RS Example CUCMPhoneLineOnlyCFT",
"SharedDPLineUnassocCFT": "RS Example CUCMDPLineOnly CFT",
"SharedRDPLineUnassocCFT": "RS Example CUCMRDPLineOnly CFT",
"pkid": "69ee3bbd62dfd021865cba38",
"hierarchy_friendly_name": "hcs (Hcs)",
"hierarchy_path": "sys.hcs"
},
"meta": {
"model_type": "data/ReassignServicesProfile",
"summary_attrs": [
{
"name": "profileName",
"title": "Profile Name"
},
{
"name": "profileDescription",
"title": "Profile Description"
},
{
"name": "hierarchy_friendly_name",
"title": "Located At",
"allow_filtering": true
}
],
"tagged_versions": [],
"tags": [
"reassignservices",
"V4UC",
"ba_CommonOverlay"
],
"title": "ReassignUsers-ServiceProfile-LDAP",
"business_key": {
"unique": [
"profileName"
],
"hierarchy": true
},
"api_version": "21.2",
"cached": true,
"references": {
"parent": [
{
"pkid": "69ee359c62dfd021865bd21d",
"href": "/api/data/HierarchyNode/69ee359c62dfd021865bd21d"
}
],
"device": [
{
"href": "",
"pkid": ""
}
],
"foreign_key": [],
"owner": [
{
"pkid": ""
}
],
"self": [
{
"href": "/api/data/ReassignServicesProfile/69ee3bbd62dfd021865cba37/",
"pkid": "69ee3bbd62dfd021865cba37"
}
]
},
"path": [
"6t0ggef2c0deab00hb595101",
"69ee359c62dfd021865bd21d",
"69ee3bbd62dfd021865cba37"
],
"schema_version": "1.0",
"actions": [
{
"update": {
"method": "PUT",
"class": "update",
"href": "/api/data/ReassignServicesProfile/69ee3bbd62dfd021865cba37/",
"support_async": true,
"title": "Modify"
}
},
{
"remove": {
"method": "DELETE",
"class": "delete",
"href": "/api/data/ReassignServicesProfile/69ee3bbd62dfd021865cba37/",
"support_async": true,
"title": "Delete"
}
},
{
"clone": {
"method": "GET",
"class": "clone",
"href": "/api/data/ReassignServicesProfile/69ee3bbd62dfd021865cba37/clone/?schema=&schema_rules=true",
"support_async": false,
"title": "Clone"
}
},
{
"export": {
"method": "GET",
"class": "export",
"href": "/api/data/ReassignServicesProfile/69ee3bbd62dfd021865cba37/export/",
"support_async": false,
"title": "Export",
"view": "/api/view/ExportData/add/",
"submit": "payload"
}
},
{
"get": {
"method": "GET",
"class": "get",
"href": "/api/data/ReassignServicesProfile/69ee3bbd62dfd021865cba37/",
"support_async": false,
"title": "Get"
}
},
{
"help": {
"method": "GET",
"class": "help",
"href": "/api/data/ReassignServicesProfile/69ee3bbd62dfd021865cba37/help",
"support_async": false,
"title": "Help"
}
}
],
"summary": "false"
},
"pkid": "69ee3bbd62dfd021865cba37"
},
{
"data": {
"profileName": "ReassignUsers-ServiceProfile-Local",
"profileDescription": "Reassign User Service Profile - Local User Target (Remove Source User)",
"removeSourceUser": true,
"UserCFT": "RS Example User CFT - Local",
"CUCMUserCFT": "RS Example CUCMUser CFT",
"lineCFT": "RS Example CUCMLine CFT",
"PhoneCFT": "RS Example CUCMPhone CFT",
"DPCFT": "RS Example CUCMDP CFT",
"RDPCFT": "RS Example CUCMRDP CFT",
"CUCCFT": "RS Example CUCUser CFT",
"CUCAltExtAdd": true,
"CUCAltExtCFT": "RS Example CUCAlternateExtension CFT",
"CUCMsgHandlerUpdate": true,
"CUCMsgHandlerCFT": "RS Example CUCMessageHandler CFT - LDAP vs Local",
"SharedLineUnassocUpdate": true,
"SharedPhoneLineUnassocCFT": "RS Example CUCMPhoneLineOnlyCFT",
"SharedDPLineUnassocCFT": "RS Example CUCMDPLineOnly CFT",
"SharedRDPLineUnassocCFT": "RS Example CUCMRDPLineOnly CFT",
"pkid": "69ee3bbd62dfd021865cba3c",
"hierarchy_friendly_name": "hcs (Hcs)",
"hierarchy_path": "sys.hcs"
},
"meta": {
"model_type": "data/ReassignServicesProfile",
"summary_attrs": [
{
"name": "profileName",
"title": "Profile Name"
},
{
"name": "profileDescription",
"title": "Profile Description"
},
{
"name": "hierarchy_friendly_name",
"title": "Located At",
"allow_filtering": true
}
],
"tagged_versions": [],
"tags": [
"reassignservices",
"V4UC",
"ba_CommonOverlay"
],
"title": "ReassignUsers-ServiceProfile-Local",
"business_key": {
"unique": [
"profileName"
],
"hierarchy": true
},
"api_version": "21.2",
"cached": true,
"references": {
"parent": [
{
"pkid": "69ee359c62dfd021865bd21d",
"href": "/api/data/HierarchyNode/69ee359c62dfd021865bd21d"
}
],
"device": [
{
"href": "",
"pkid": ""
}
],
"foreign_key": [],
"owner": [
{
"pkid": ""
}
],
"self": [
{
"href": "/api/data/ReassignServicesProfile/69ee3bbd62dfd021865cba3b/",
"pkid": "69ee3bbd62dfd021865cba3b"
}
]
},
"path": [
"6t0ggef2c0deab00hb595101",
"69ee359c62dfd021865bd21d",
"69ee3bbd62dfd021865cba3b"
],
"schema_version": "1.0",
"actions": [
{
"update": {
"method": "PUT",
"class": "update",
"href": "/api/data/ReassignServicesProfile/69ee3bbd62dfd021865cba3b/",
"support_async": true,
"title": "Modify"
}
},
{
"remove": {
"method": "DELETE",
"class": "delete",
"href": "/api/data/ReassignServicesProfile/69ee3bbd62dfd021865cba3b/",
"support_async": true,
"title": "Delete"
}
},
{
"clone": {
"method": "GET",
"class": "clone",
"href": "/api/data/ReassignServicesProfile/69ee3bbd62dfd021865cba3b/clone/?schema=&schema_rules=true",
"support_async": false,
"title": "Clone"
}
},
{
"export": {
"method": "GET",
"class": "export",
"href": "/api/data/ReassignServicesProfile/69ee3bbd62dfd021865cba3b/export/",
"support_async": false,
"title": "Export",
"view": "/api/view/ExportData/add/",
"submit": "payload"
}
},
{
"get": {
"method": "GET",
"class": "get",
"href": "/api/data/ReassignServicesProfile/69ee3bbd62dfd021865cba3b/",
"support_async": false,
"title": "Get"
}
},
{
"help": {
"method": "GET",
"class": "help",
"href": "/api/data/ReassignServicesProfile/69ee3bbd62dfd021865cba3b/help",
"support_async": false,
"title": "Help"
}
}
],
"summary": "false"
},
"pkid": "69ee3bbd62dfd021865cba3b"
},
{
"data": {
"profileName": "ReassignUsersProfile",
"profileDescription": "Used to reassign subscribers ReAssignUserA - ReAssignUserG, part of EKB-2781",
"UserCFT": "RS Example User CFT",
"CUCMUserCFT": "RS Example CUCMUser CFT",
"lineCFT": "RS Example CUCMLine CFT",
"PhoneCFT": "RS Example CUCMPhone CFT",
"DPCFT": "RS Example CUCMDP CFT",
"RDPCFT": "RS Example CUCMRDP CFT",
"CUCCFT": "RS Example CUCUser CFT",
"CUCAltExtAdd": true,
"CUCAltExtCFT": "RS Example CUCAlternateExtension CFT",
"CUCMsgHandlerUpdate": true,
"CUCMsgHandlerCFT": "RS Example CUCMessageHandler CFT",
"SharedLineUnassocUpdate": true,
"SharedPhoneLineUnassocCFT": "RS Example CUCMPhoneLineOnlyCFT",
"SharedDPLineUnassocCFT": "RS Example CUCMDPLineOnly CFT",
"SharedRDPLineUnassocCFT": "RS Example CUCMRDPLineOnly CFT",
"pkid": "69effdb1e32dcf14ced97f77",
"hierarchy_friendly_name": "AAAGlobal (Customer)",
"hierarchy_path": "sys.hcs.CS-P.CS-NB.AAAGlobal"
},
"meta": {
"model_type": "data/ReassignServicesProfile",
"summary_attrs": [
{
"name": "profileName",
"title": "Profile Name"
},
{
"name": "profileDescription",
"title": "Profile Description"
},
{
"name": "hierarchy_friendly_name",
"title": "Located At",
"allow_filtering": true
}
],
"tagged_versions": [],
"tags": [],
"title": "ReassignUsersProfile",
"business_key": {
"unique": [
"profileName"
],
"hierarchy": true
},
"api_version": "21.2",
"cached": true,
"references": {
"parent": [
{
"pkid": "69efc8b6e32dcf14ced2299a",
"href": "/api/data/HierarchyNode/69efc8b6e32dcf14ced2299a"
}
],
"device": [
{
"href": "",
"pkid": ""
}
],
"foreign_key": [],
"owner": [
{
"pkid": ""
}
],
"self": [
{
"href": "/api/data/ReassignServicesProfile/69effdb1e32dcf14ced97f76/",
"pkid": "69effdb1e32dcf14ced97f76"
}
]
},
"path": [
"6t0ggef2c0deab00hb595101",
"69ee359c62dfd021865bd21d",
"69efc87de32dcf14ced22487",
"69efc8ace32dcf14ced22910",
"69efc8b6e32dcf14ced2299a",
"69effdb1e32dcf14ced97f76"
],
"schema_version": "1.0",
"actions": [
{
"update": {
"method": "PUT",
"class": "update",
"href": "/api/data/ReassignServicesProfile/69effdb1e32dcf14ced97f76/",
"support_async": true,
"title": "Modify"
}
},
{
"remove": {
"method": "DELETE",
"class": "delete",
"href": "/api/data/ReassignServicesProfile/69effdb1e32dcf14ced97f76/",
"support_async": true,
"title": "Delete"
}
},
{
"clone": {
"method": "GET",
"class": "clone",
"href": "/api/data/ReassignServicesProfile/69effdb1e32dcf14ced97f76/clone/?schema=&schema_rules=true",
"support_async": false,
"title": "Clone"
}
},
{
"export": {
"method": "GET",
"class": "export",
"href": "/api/data/ReassignServicesProfile/69effdb1e32dcf14ced97f76/export/",
"support_async": false,
"title": "Export",
"view": "/api/view/ExportData/add/",
"submit": "payload"
}
},
{
"get": {
"method": "GET",
"class": "get",
"href": "/api/data/ReassignServicesProfile/69effdb1e32dcf14ced97f76/",
"support_async": false,
"title": "Get"
}
},
{
"help": {
"method": "GET",
"class": "help",
"href": "/api/data/ReassignServicesProfile/69effdb1e32dcf14ced97f76/help",
"support_async": false,
"title": "Help"
}
}
],
"summary": "false"
},
"pkid": "69effdb1e32dcf14ced97f76"
}
]
}
(Show the first instance)
{
"data": {
"profileName": "ReassignUsers-ServiceProfile-LDAP",
"profileDescription": "Reassign User Service Profile - LDAP User Target",
"removeSourceUser": false,
"UserCFT": "RS Example User CFT - LDAP",
"CUCMUserCFT": "RS Example CUCMUser CFT",
"lineCFT": "RS Example CUCMLine CFT",
"PhoneCFT": "RS Example CUCMPhone CFT",
"DPCFT": "RS Example CUCMDP CFT",
"RDPCFT": "RS Example CUCMRDP CFT",
"CUCCFT": "RS Example CUCUser CFT",
"CUCAltExtAdd": true,
"CUCAltExtCFT": "RS Example CUCAlternateExtension CFT",
"CUCMsgHandlerUpdate": true,
"CUCMsgHandlerCFT": "RS Example CUCMessageHandler CFT - LDAP vs Local",
"SharedLineUnassocUpdate": true,
"SharedPhoneLineUnassocCFT": "RS Example CUCMPhoneLineOnlyCFT",
"SharedDPLineUnassocCFT": "RS Example CUCMDPLineOnly CFT",
"SharedRDPLineUnassocCFT": "RS Example CUCMRDPLineOnly CFT",
"pkid": "69ee3bbd62dfd021865cba38"
},
"meta": {
"model_type": "data/ReassignServicesProfile",
"summary_attrs": [
{
"name": "profileName",
"title": "Profile Name"
},
{
"name": "profileDescription",
"title": "Profile Description"
},
{
"name": "hierarchy_friendly_name",
"title": "Located At",
"allow_filtering": true
}
],
"tagged_versions": [],
"tags": [
"reassignservices",
"V4UC",
"ba_CommonOverlay"
],
"title": "ReassignUsers-ServiceProfile-LDAP",
"business_key": {
"unique": [
"profileName"
],
"hierarchy": true
},
"api_version": "21.2",
"cached": false,
"references": {
"parent": [
{
"href": "/api/data/HierarchyNode/69ee359c62dfd021865bd21d",
"pkid": "69ee359c62dfd021865bd21d"
}
],
"device": [
{
"href": "",
"pkid": ""
}
],
"foreign_key": [],
"owner": [
{
"pkid": ""
}
],
"children": [],
"self": [
{
"href": "/api/data/ReassignServicesProfile/69ee3bbd62dfd021865cba37/",
"pkid": "69ee3bbd62dfd021865cba37"
}
]
},
"path": [
"6t0ggef2c0deab00hb595101",
"69ee359c62dfd021865bd21d",
"69ee3bbd62dfd021865cba37"
],
"schema_version": "1.0",
"actions": [
{
"update": {
"method": "PUT",
"class": "update",
"href": "/api/data/ReassignServicesProfile/69ee3bbd62dfd021865cba37/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Modify"
}
},
{
"remove": {
"method": "DELETE",
"class": "delete",
"href": "/api/data/ReassignServicesProfile/69ee3bbd62dfd021865cba37/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Delete"
}
},
{
"clone": {
"method": "GET",
"class": "clone",
"href": "/api/data/ReassignServicesProfile/69ee3bbd62dfd021865cba37/clone/?hierarchy=[hierarchy]&schema=&schema_rules=true",
"support_async": false,
"title": "Clone"
}
},
{
"export": {
"method": "GET",
"class": "export",
"href": "/api/data/ReassignServicesProfile/69ee3bbd62dfd021865cba37/export/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Export",
"view": "/api/view/ExportData/add/?auth_token=[authtoken],
"submit": "payload"
}
},
{
"get": {
"method": "GET",
"class": "get",
"href": "/api/data/ReassignServicesProfile/69ee3bbd62dfd021865cba37/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Get"
}
},
{
"help": {
"method": "GET",
"class": "help",
"href": "/api/data/ReassignServicesProfile/69ee3bbd62dfd021865cba37/help?hierarchy=[hierarchy]",
"support_async": false,
"title": "Help"
}
}
]
},
"pkid": "69ee3bbd62dfd021865cba37"
}
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Get the on-line Help for data/ReassignServicesProfile. | GET | /api/data/ReassignServicesProfile/help | hierarchy=[hierarchy] | On-line help of Model ref.: data/ReassignServicesProfile as HTML |
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Bulk Modify | POST | /api/data/ReassignServicesProfile/bulk_update/ |
|
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Modify | PUT | /api/data/ReassignServicesProfile/[pkid] | hierarchy=[hierarchy] | (For payload specification) |
For Bulk modification, refer to the Bulk Modify section.
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Delete | DELETE | /api/data/ReassignServicesProfile/[pkid] | hierarchy=[hierarchy] |
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Clone instance with [pkid]. The schema rules are applied. | GET | /api/data/ReassignServicesProfile/[pkid]/clone/?schema=&schema_rules=true |
|
A JSON payload with:
|
GET http://[host-proxy]/api/data/ReassignServicesProfile/?hierarchy=[hierarchy]&format=json
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Get a selected [export_format] of the schema and a single instance with [pkid] of data/ReassignServicesProfile; optionally with tag_version at [version] and Configuration Template as [configtemplate]. | GET | /api/data/ReassignServicesProfile/[pkid]/export |
|
The response is an attachment. Refer to the list below. |
For export_format=raw_xlsx, the response is a "raw" MS Excel spreadsheet with columns corresponding to the JSON format export and a response format:
Content-Disposition: attachment; filename=<resource_type>_<resource_name>_exportedsheet_CCYY-MM-DD_HH-MM-SS.xlsx
Content-Language:en
Content-Type:application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
For export_format=xlsx, the response is a MS Excel spreadsheet, formatted to show all columns and a response format:
Content-Disposition: attachment; filename=<resource_type>_<resource_name>_exportedsheet_formatted_CCYY-MM-DD_HH-MM-SS.xlsx
Content-Language:en
Content-Type:application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
For export_format=json, the response is a time stamped zip file of data in JSON and a response format:
Content-Disposition: attachment; filename=export_2013-05-17_14:20:19.186444.json.zip
Content-Language:en
Content-Type:application/x-zip
The XLSX format can be used to bulk load instances of data/ReassignServicesProfile and the JSON format can be used to import instances of data/ReassignServicesProfile.
For Bulk Export, refer to the Bulk Export section.
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Get | GET | /api/data/ReassignServicesProfile/[pkid] | hierarchy=[hierarchy] | The data/ReassignServicesProfile instance with [pkid]. |
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Help | GET | /api/data/ReassignServicesProfile/[pkid]/help | hierarchy=[hierarchy] | The on-line Help for data/ReassignServicesProfile. |